player = {}
--player move
function player.load()
--player variables
player.height = 32
player.width = 32
player.x = 5
player.y = 5
player.xvel = 0
player.yvel = 0
player.friction = 10
player.speed = 2600
player.point = 0
player.jumping = false -- used to prevent mid air jumping
player.shoot = false

playerR = {}

playerR[1] = love.graphics.newImage("resources/baseR.png")
playerR[2] = love.graphics.newImage("resources/walkR1.png")
playerR[3] = love.graphics.newImage("resources/walkR2.png")


playerL = {}

playerL[1] = love.graphics.newImage("resources/baseL.png")
playerL[2] = love.graphics.newImage("resources/walkL1.png")
playerL[3] = love.graphics.newImage("resources/walkL2.png")

player.animTimer = 0
player.pic = playerR[1]
player.pnum = 1

end
function player.move(dt)

if love.keyboard.isDown('d') and
    player.xvel < player.speed then 
    player.xvel = player.xvel + player.speed * dt
    player.pic = playerR[player.pnum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pnum = player.pnum + 1
      player.animTimer = 0
    end
    if player.pnum > 3 then 
   player.pnum = 1
    end
   end
if love.keyboard.isDown('a') and
    player.xvel < player.speed then 
    player.xvel = player.xvel - player.speed * dt
    player.pic = playerL[player.pnum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pnum = player.pnum + 1
      player.animTimer = 0
    end
    if player.pnum > 3 then 
   player.pnum = 1
    end
   end
end

function love.keyreleased(key)
   if key == "d" then
     player.pic = playerR[1]
   end
  if key == "a" then
     player.pic = playerL[1]
   end
end
--resets animation
function player.animreset(key)
 if key == "d" then
player.animTimer = 0 
player.pnum = 1
player.pic = playerR[1]
end
 if key == "a" then
player.animTimer = 0 
player.pnum = 1
player.pic = playerL[1]
end
end

function player.physics(dt)
player.y = player.y + player.yvel * dt
player.x = player.x + player.xvel * dt
player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
end
function player.draw()
love.graphics.setColor(255,255,255)
love.graphics.draw(player.pic,player.x,player.y,0, 2.5, 2.5)
player.pic:setFilter ('nearest','nearest')

end
--jump functions
function player.jumpLoad()
onGround = true
gravity = 600 --Gravity strenght, if wings are acquired gravity = 200
	groundHeight = 400
end
function player.jumpUpdate(dt)
if player.y + player.height < groundHeight then --Checks if the player is above the ground
		player.yvel = player.yvel + gravity * dt --Increases the yVel (makes the player fall)
		player.onGround = true
	else
		player.yvel = 0
		player.onGround = false
		player.y = groundHeight - player.height --Puts the player on the ground.
	end

	player.x = player.x + player.xvel * dt --Updates the position of the player
	player.y = player.y + player.yvel * dt 

end
function player.jumpButton(key)
	if key == "lshift" then
   player.speed = "2650"
   end
   if key == " " then
		if player.onGround == false then
		player.yvel = -1000
    else	
         
		end
	end

end


--the major functions
function LOAD_PLAYER()
player.load()
player.jumpLoad()
end
function UPDATE_PLAYER(dt)
player.move(dt)
player.physics(dt)
player.jumpUpdate(dt)

end
function DRAW_PLAYER()
player.draw()


end


